c hcscom13_2
c include file for hcm
      parameter(maxage=15,maxyr=30,maxyrp=maxyr+maxage,niter=1000,
     &mbasis=5)
c maxage is for dimensioning of arrays. The active largest age is iaold
c maxyr determines the year range of the analysis. Should not be more thann 98 to avoid trouble with formats.
c niter is the number of iterations.
c mbasis has a double role. It shall give enough space for data in bases that go into the future,
c and it dimensions things related to the number of bases. It should be large enough for both purposes
c Note: Change in maxage, maxyr or niter must be done here, and requires 
c recompiling the program

c common variables
c Biological properties
      real sel(0:maxage,2),rm(0:maxage),west(0:maxage),weca(0:maxage),
     &rmat(0:maxage),rnin(0:maxage),vcv(0:maxage,0:maxage)
      real pastssb(0:maxage),propm,propf
      integer iaref1,iaref2,lowage,iaold,iy0,idensflag,itsbage
c growth and maturity parameters
      real wecaspec(0:maxage,5),westspec(0:maxage,5),
     &voksenspec(0:maxage,5),wyclfct(-maxage:maxyrp),wyclfct0
      real wampl,wperiod,wphase,wsigma,wbref,wrref,
     &wycllow,wyclhigh,wyclalfa
c recruitment      
      real recrparam(maxyr,12),asrparam,bsrparam,sigmar,rtrunc1,rtrunc2,
     &asrorg,bsrorg,rinterval,rintvcv,spasmfct,
     &depens,ramplitude,rperiod,rphase,regintv
      integer irecrcode(maxyr,5),jdist,jfunc,jtrunc,
     &ispasm(-maxage:maxyr)
      integer lastspasm,ioptspasm,nregimes,icodeshift,listreg(maxyr),
     &lastreg,nregact(-maxage:maxyrp)
c initialisation      
      real fprim,tac0
      integer idata
c random seed
      double precision rintvar
c bounds
      real fmax,blim
c noise
      real cvnin(0:maxage),cvobs(0:maxage,2),cvimp(0:maxage),
     &biasobs,biasimp,yfctnin,yfctobs,yfctimp
      integer nac
c obs model info
      real xsiobs(0:maxage,-maxage:maxyr),
     &cobs(0:maxage,-maxage:maxyr+mbasis),
     &rnobs(0:maxage,-maxage:maxyr+mbasis,-maxage:maxyr+mbasis),
     &fobs(-maxage:maxyr+mbasis),
     &acfact(0:maxage),rnproj(0:maxage,-maxage:maxyr+mbasis),
     &recrsurv(-maxage:maxyr+mbasis),cvrecrsurv,
     &biosurv(-maxage:maxyr+mbasis,2),cvbiosurv
      integer iobsstart,iobsend,ibastable(mbasis,4),icbastable(2,4)
c management option indicators
      integer idur,iproj,ibasrule,lastassn,ialwonly,
     &iabrgrad,iya1,iya2,ibplusage,nbasis,irule,iyback,nrecryears
      real optrange(23,3),hcrparam(23),ruletarget(0:maxyr)
c collect results
      real truessb(0:maxyr,1:niter),
     &trueweca(-maxage:maxyr,0:maxage),
     &truewest(-maxage:maxyr,0:maxage),
     &truemat(-maxage:maxyr,0:maxage),
     &truecatch(0:maxyr,1:niter),
     &tac(0:maxyr,1:niter),
     &truef(0:maxyr,1:niter),
     &truetsb(0:maxyr,1:niter),
     &obsssb(0:maxyr,1:niter),
     &obsf(0:maxyr,1:niter),
     &obsrecr(0:maxyr,1:niter),
     &truerecr(0:maxyr,1:niter),
     &rn7(0:maxyr,1:niter),
     &truebas(mbasis,0:maxyr),
     &decbas(0:maxyr,mbasis,niter)
      integer iflag(0:maxyr,1:niter),iter,ioutopt(11:27)
c file names
      character*30 innfilb,innfilo,densfil,innfilc
c Printout year intervals file 12
      integer intvpr1,intvpr2

      common /c1/ vcv,sel,rm,west,weca,rmat,rnin,pastssb,
     &xsiobs,cobs,rnobs,fobs,recrsurv,biosurv,cvrecrsurv,rnproj,
     &cvbiosurv,propm,propf,asrparam,bsrparam,sigmar,rtrunc1,rtrunc2,
     &recrparam,asrorg,bsrorg,rinterval,rintvcv,spasmfct,
     &depens,ramplitude,rperiod,rphase,fprim,tac0,fmax,blim,
     &wecaspec,westspec,voksenspec,wycllow,wyclhigh,wyclalfa,
     &wampl,wperiod,wphase,wsigma,wbref,wrref,wyclfct0,wyclfct,
     &regintv


      common /c2/
     &iflag,irecrcode,ispasm,ioutopt,jdist,jfunc,jtrunc,lastspasm,iter,
     &iaref1,iaref2,lowage,iaold,iy0,idata,ibplusage,iyback,nrecryears,
     &idur,iproj,ibasrule,lastassn,ialwonly,icbastable,
     &iobsstart,iobsend,ibastable,irule,nac,
     &iabrgrad,iya1,iya2,nbasis,idensflag,itsbage,
     &ioptspasm,listreg,lastreg,nregimes,icodeshift,nregact,
     &intvpr1,intvpr2

      common /cd/ rintvar

      common /c3/ truessb,truecatch,tac,truef,obsssb,decbas,obsf,
     &truerecr, optrange,xmold,cvnin,cvobs,cvimp,hcrparam,ruletarget,
     &biasobs,biasimp,yfctnin,yfctobs,yfctimp,acfact,truetsb,obsrecr,
     &truewest,trueweca,truemat,rn7,truebas

      common /cf/ innfilb,innfilo,densfil,innfilc

   
